diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-alert-core/src/test/java/org/nuxeo/ecm/alert/core/WrappedUserManagerDescriptor.java
--- a/nuxeo-platform-alert-core/src/test/java/org/nuxeo/ecm/alert/core/WrappedUserManagerDescriptor.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-alert-core/src/test/java/org/nuxeo/ecm/alert/core/WrappedUserManagerDescriptor.java	Fri Mar 26 09:05:32 2010 +0100
@@ -8,176 +8,142 @@
 
 public class WrappedUserManagerDescriptor extends UserManagerDescriptor {
 
-	/**
+    /**
      * 
      */
     private static final long serialVersionUID = 1738447024467990837L;
 
+    public WrappedUserManagerDescriptor(UserManagerDescriptor init) {
+        this.merge(init);
+    }
 
-    public WrappedUserManagerDescriptor(UserManagerDescriptor init) {
-		this.merge(init);
-	}
+    protected void setUserManagerClass(Class<?> userManagerClass) {
+        this.userManagerClass = userManagerClass;
+    }
 
+    protected Class<?> getUserManagerClass() {
+        return userManagerClass;
+    }
 
-	protected void setUserManagerClass(Class<?> userManagerClass) {
-		this.userManagerClass = userManagerClass;
-	}
+    protected void setDefaultGroup(String defaultGroup) {
+        this.defaultGroup = defaultGroup;
+    }
 
+    protected String getDefaultGroup() {
+        return defaultGroup;
+    }
 
-	protected Class<?> getUserManagerClass() {
-		return userManagerClass;
-	}
+    protected void setRootLogin(String rootLogin) {
+        this.rootLogin = rootLogin;
+    }
 
+    protected String getRootLogin() {
+        return rootLogin;
+    }
 
-	protected void setDefaultGroup(String defaultGroup) {
-		this.defaultGroup = defaultGroup;
-	}
+    protected void setUserSortField(String userSortField) {
+        this.userSortField = userSortField;
+    }
 
+    protected String getUserSortField() {
+        return userSortField;
+    }
 
-	protected String getDefaultGroup() {
-		return defaultGroup;
-	}
+    protected void setGroupSortField(String groupSortField) {
+        this.groupSortField = groupSortField;
+    }
 
+    protected String getGroupSortField() {
+        return groupSortField;
+    }
 
-	protected void setRootLogin(String rootLogin) {
-		this.rootLogin = rootLogin;
-	}
+    protected void setUserDirectoryName(String userDirectoryName) {
+        this.userDirectoryName = userDirectoryName;
+    }
 
+    protected String getUserDirectoryName() {
+        return userDirectoryName;
+    }
 
-	protected String getRootLogin() {
-		return rootLogin;
-	}
+    protected void setUserEmailField(String userEmailField) {
+        this.userEmailField = userEmailField;
+    }
 
+    protected String getUserEmailField() {
+        return userEmailField;
+    }
 
-	protected void setUserSortField(String userSortField) {
-		this.userSortField = userSortField;
-	}
+    protected void setUserListingMode(String userListingMode) {
+        this.userListingMode = userListingMode;
+    }
 
+    protected String getUserListingMode() {
+        return userListingMode;
+    }
 
-	protected String getUserSortField() {
-		return userSortField;
-	}
+    protected void setAnonymousUser(VirtualUserDescriptor anonymousUser) {
+        this.anonymousUser = anonymousUser;
+    }
 
+    protected VirtualUserDescriptor getAnonymousUser() {
+        return anonymousUser;
+    }
 
-	protected void setGroupSortField(String groupSortField) {
-		this.groupSortField = groupSortField;
-	}
+    protected void setVirtualUsers(
+            Map<String, VirtualUserDescriptor> virtualUsers) {
+        this.virtualUsers = virtualUsers;
+    }
 
+    protected Map<String, VirtualUserDescriptor> getVirtualUsers() {
+        return virtualUsers;
+    }
 
-	protected String getGroupSortField() {
-		return groupSortField;
-	}
+    protected void setGroupDirectoryName(String groupDirectoryName) {
+        this.groupDirectoryName = groupDirectoryName;
+    }
 
+    protected String getGroupDirectoryName() {
+        return groupDirectoryName;
+    }
 
-	protected void setUserDirectoryName(String userDirectoryName) {
-		this.userDirectoryName = userDirectoryName;
-	}
+    protected void setGroupMembersField(String groupMembersField) {
+        this.groupMembersField = groupMembersField;
+    }
 
+    protected String getGroupMembersField() {
+        return groupMembersField;
+    }
 
-	protected String getUserDirectoryName() {
-		return userDirectoryName;
-	}
+    protected void setGroupSubGroupsField(String groupSubGroupsField) {
+        this.groupSubGroupsField = groupSubGroupsField;
+    }
 
+    protected String getGroupSubGroupsField() {
+        return groupSubGroupsField;
+    }
 
-	protected void setUserEmailField(String userEmailField) {
-		this.userEmailField = userEmailField;
-	}
+    protected void setGroupParentGroupsField(String groupParentGroupsField) {
+        this.groupParentGroupsField = groupParentGroupsField;
+    }
 
+    protected String getGroupParentGroupsField() {
+        return groupParentGroupsField;
+    }
 
-	protected String getUserEmailField() {
-		return userEmailField;
-	}
+    protected void setGroupListingMode(String groupListingMode) {
+        this.groupListingMode = groupListingMode;
+    }
 
+    protected String getGroupListingMode() {
+        return groupListingMode;
+    }
 
-	protected void setUserListingMode(String userListingMode) {
-		this.userListingMode = userListingMode;
-	}
+    protected void setUserPasswordPattern(Pattern userPasswordPattern) {
+        this.userPasswordPattern = userPasswordPattern;
+    }
 
+    protected Pattern getUserPasswordPattern() {
+        return userPasswordPattern;
+    }
 
-	protected String getUserListingMode() {
-		return userListingMode;
-	}
-
-
-	protected void setAnonymousUser(VirtualUserDescriptor anonymousUser) {
-		this.anonymousUser = anonymousUser;
-	}
-
-
-	protected VirtualUserDescriptor getAnonymousUser() {
-		return anonymousUser;
-	}
-
-
-	protected void setVirtualUsers(Map<String, VirtualUserDescriptor> virtualUsers) {
-		this.virtualUsers = virtualUsers;
-	}
-
-
-	protected Map<String, VirtualUserDescriptor> getVirtualUsers() {
-		return virtualUsers;
-	}
-
-
-	protected void setGroupDirectoryName(String groupDirectoryName) {
-		this.groupDirectoryName = groupDirectoryName;
-	}
-
-
-	protected String getGroupDirectoryName() {
-		return groupDirectoryName;
-	}
-
-
-	protected void setGroupMembersField(String groupMembersField) {
-		this.groupMembersField = groupMembersField;
-	}
-
-
-	protected String getGroupMembersField() {
-		return groupMembersField;
-	}
-
-
-	protected void setGroupSubGroupsField(String groupSubGroupsField) {
-		this.groupSubGroupsField = groupSubGroupsField;
-	}
-
-
-	protected String getGroupSubGroupsField() {
-		return groupSubGroupsField;
-	}
-
-
-	protected void setGroupParentGroupsField(String groupParentGroupsField) {
-		this.groupParentGroupsField = groupParentGroupsField;
-	}
-
-
-	protected String getGroupParentGroupsField() {
-		return groupParentGroupsField;
-	}
-
-
-	protected void setGroupListingMode(String groupListingMode) {
-		this.groupListingMode = groupListingMode;
-	}
-
-
-	protected String getGroupListingMode() {
-		return groupListingMode;
-	}
-
-
-	protected void setUserPasswordPattern(Pattern userPasswordPattern) {
-		this.userPasswordPattern = userPasswordPattern;
-	}
-
-
-	protected Pattern getUserPasswordPattern() {
-		return userPasswordPattern;
-	}
-
-
-	
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-alert-deferred-core/src/main/java/org/nuxeo/ecm/alert/deferred/core/DeferredRenderingContext.java
--- a/nuxeo-platform-alert-deferred-core/src/main/java/org/nuxeo/ecm/alert/deferred/core/DeferredRenderingContext.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-alert-deferred-core/src/main/java/org/nuxeo/ecm/alert/deferred/core/DeferredRenderingContext.java	Fri Mar 26 09:05:32 2010 +0100
@@ -14,27 +14,29 @@
 
     @Override
     public <T> T getAdapter(Class<T> adapter) {
-	if (adapter.isAssignableFrom(getClass())) {
-	    return adapter.cast(this);
-	} else if (adapter.isAssignableFrom(DocumentModel.class)) {
-	    return adapter.cast(getDocuments());
-	}
-	return null;
+        if (adapter.isAssignableFrom(getClass())) {
+            return adapter.cast(this);
+        } else if (adapter.isAssignableFrom(DocumentModel.class)) {
+            return adapter.cast(getDocuments());
+        }
+        return null;
     }
 
     public void setDocuments(List<DocumentModel> doc) {
-	put(CTX_PARAM_DOCUMENTS, doc);
+        put(CTX_PARAM_DOCUMENTS, doc);
     }
 
     @SuppressWarnings("unchecked")
     public List<DocumentModel> getDocuments() {
-	return (List<DocumentModel>) get(CTX_PARAM_DOCUMENTS);
+        return (List<DocumentModel>) get(CTX_PARAM_DOCUMENTS);
     }
-    
+
     @Override
     public boolean accept(RenderingEngine engine) {
-	if (engine.getFormatName().equals("deferredAlert")) return true;
-	else return false;
+        if (engine.getFormatName().equals("deferredAlert"))
+            return true;
+        else
+            return false;
     }
 
 }
\ No newline at end of file
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-alert-lock-core/src/main/java/org/nuxeo/ecm/alert/lock/core/LockInfo.java
--- a/nuxeo-platform-alert-lock-core/src/main/java/org/nuxeo/ecm/alert/lock/core/LockInfo.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-alert-lock-core/src/main/java/org/nuxeo/ecm/alert/lock/core/LockInfo.java	Fri Mar 26 09:05:32 2010 +0100
@@ -3,37 +3,45 @@
 import java.text.SimpleDateFormat;
 import java.util.Date;
 
-
 public class LockInfo {
 
     private static SimpleDateFormat df = new SimpleDateFormat("dd/MM/yyyy");
-    
+
     private String docTitle;
+
     private Date lockedSince;
+
     private String docUrl;
-    
+
     public void setDocTitle(String docTitle) {
-	this.docTitle = docTitle;
+        this.docTitle = docTitle;
     }
+
     public String getDocTitle() {
-	return docTitle;
+        return docTitle;
     }
+
     public void setLockedSince(Date lockedSince) {
-	this.lockedSince = lockedSince;
+        this.lockedSince = lockedSince;
     }
+
     public Date getLockedSince() {
-	return lockedSince;
+        return lockedSince;
     }
+
     public String getLockedSinceAsString() {
-	if (lockedSince == null) return "-";
-	else return df.format(lockedSince);
+        if (lockedSince == null)
+            return "-";
+        else
+            return df.format(lockedSince);
     }
-    
+
     public void setDocUrl(String docUrl) {
-	this.docUrl = docUrl;
+        this.docUrl = docUrl;
     }
+
     public String getDocUrl() {
-	return docUrl;
+        return docUrl;
     }
-    
+
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-alert-lock-core/src/main/java/org/nuxeo/ecm/alert/lock/core/LockRenderingContext.java
--- a/nuxeo-platform-alert-lock-core/src/main/java/org/nuxeo/ecm/alert/lock/core/LockRenderingContext.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-alert-lock-core/src/main/java/org/nuxeo/ecm/alert/lock/core/LockRenderingContext.java	Fri Mar 26 09:05:32 2010 +0100
@@ -14,27 +14,29 @@
 
     @Override
     public <T> T getAdapter(Class<T> adapter) {
-	if (adapter.isAssignableFrom(getClass())) {
-	    return adapter.cast(this);
-	} else if (adapter.isAssignableFrom(DocumentModel.class)) {
-	    return adapter.cast(getDocuments());
-	}
-	return null;
+        if (adapter.isAssignableFrom(getClass())) {
+            return adapter.cast(this);
+        } else if (adapter.isAssignableFrom(DocumentModel.class)) {
+            return adapter.cast(getDocuments());
+        }
+        return null;
     }
 
     public void setDocuments(List<DocumentModel> doc) {
-	put(CTX_PARAM_DOCUMENTS, doc);
+        put(CTX_PARAM_DOCUMENTS, doc);
     }
 
     @SuppressWarnings("unchecked")
     public List<DocumentModel> getDocuments() {
-	return (List<DocumentModel>) get(CTX_PARAM_DOCUMENTS);
+        return (List<DocumentModel>) get(CTX_PARAM_DOCUMENTS);
     }
 
     @Override
     public boolean accept(RenderingEngine engine) {
-	if (engine.getFormatName().equals("lockAlert")) return true;
-	else return false;
+        if (engine.getFormatName().equals("lockAlert"))
+            return true;
+        else
+            return false;
     }
 
 }
\ No newline at end of file
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-alert-task-core/src/main/java/org/nuxeo/ecm/alert/task/core/DocumentInfo.java
--- a/nuxeo-platform-alert-task-core/src/main/java/org/nuxeo/ecm/alert/task/core/DocumentInfo.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-alert-task-core/src/main/java/org/nuxeo/ecm/alert/task/core/DocumentInfo.java	Fri Mar 26 09:05:32 2010 +0100
@@ -5,39 +5,53 @@
 
 public class DocumentInfo {
 
-	private static SimpleDateFormat df = new SimpleDateFormat("dd/MM/yyyy");
-	private String docUrl;
-	private String docTitle;
-	private Date dueDate;
-	private boolean late;
-	
-	public void setDocUrl(String docUrl) {
-		this.docUrl = docUrl;
-	}
-	public String getDocUrl() {
-		return docUrl;
-	}
-	public void setDocTitle(String docTitle) {
-		this.docTitle = docTitle;
-	}
-	public String getDocTitle() {
-		return docTitle;
-	}
-	public void setDueDate(Date dueDate) {
-		this.dueDate = dueDate;
-	}
-	public Date getDueDate() {
-		return dueDate;
-	}
-	public String getDueDateStr() {
-		if (dueDate == null) return "-";
-		else return df.format(dueDate);
-	}
-	public void setLate(boolean isLate) {
-	    this.late = isLate;
-	}
-	public boolean getLate() {
-	    return late;
-	}
-	
+    private static SimpleDateFormat df = new SimpleDateFormat("dd/MM/yyyy");
+
+    private String docUrl;
+
+    private String docTitle;
+
+    private Date dueDate;
+
+    private boolean late;
+
+    public void setDocUrl(String docUrl) {
+        this.docUrl = docUrl;
+    }
+
+    public String getDocUrl() {
+        return docUrl;
+    }
+
+    public void setDocTitle(String docTitle) {
+        this.docTitle = docTitle;
+    }
+
+    public String getDocTitle() {
+        return docTitle;
+    }
+
+    public void setDueDate(Date dueDate) {
+        this.dueDate = dueDate;
+    }
+
+    public Date getDueDate() {
+        return dueDate;
+    }
+
+    public String getDueDateStr() {
+        if (dueDate == null)
+            return "-";
+        else
+            return df.format(dueDate);
+    }
+
+    public void setLate(boolean isLate) {
+        this.late = isLate;
+    }
+
+    public boolean getLate() {
+        return late;
+    }
+
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-alert-task-core/src/main/java/org/nuxeo/ecm/alert/task/core/TaskDescriptor.java
--- a/nuxeo-platform-alert-task-core/src/main/java/org/nuxeo/ecm/alert/task/core/TaskDescriptor.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-alert-task-core/src/main/java/org/nuxeo/ecm/alert/task/core/TaskDescriptor.java	Fri Mar 26 09:05:32 2010 +0100
@@ -7,71 +7,76 @@
 public class TaskDescriptor {
 
     private String actor;
+
     private Date dueDate;
+
     private String name;
+
     private String documentId;
+
     private String repositoryName;
 
     public void setDueDate(Date dueDate) {
-	this.dueDate = dueDate;
+        this.dueDate = dueDate;
     }
 
     public Date getDueDate() {
-	return dueDate;
+        return dueDate;
     }
 
     public void setName(String name) {
-	this.name = name;
+        this.name = name;
     }
 
     public String getName() {
-	return name;
+        return name;
     }
 
     public void setDocumentId(String documentId) {
-	this.documentId = documentId;
+        this.documentId = documentId;
     }
 
     public String getDocumentId() {
-	return documentId;
+        return documentId;
     }
 
     public void setRepositoryName(String repositoryName) {
-	this.repositoryName = repositoryName;
+        this.repositoryName = repositoryName;
     }
 
     public String getRepositoryName() {
-	return repositoryName;
+        return repositoryName;
     }
 
     public void setActor(String actor) {
-	this.actor = actor;
+        this.actor = actor;
     }
 
     public String getActor() {
-	return actor;
+        return actor;
     }
 
     public TaskDescriptor cloneForUser(String userName) {
 
-	TaskDescriptor result = new TaskDescriptor();
-	result.setName(this.name);
-	result.setActor(userName);
-	result.setDocumentId(this.documentId);
-	result.setDueDate(this.dueDate);
-	result.setRepositoryName(this.repositoryName);
-	return result;
-    
+        TaskDescriptor result = new TaskDescriptor();
+        result.setName(this.name);
+        result.setActor(userName);
+        result.setDocumentId(this.documentId);
+        result.setDueDate(this.dueDate);
+        result.setRepositoryName(this.repositoryName);
+        return result;
+
     }
-    
+
     public List<TaskDescriptor> cloneForUsers(List<String> userNames) {
 
-	List<TaskDescriptor> result = new ArrayList<TaskDescriptor>();
-	
-	for (String s : userNames) result.add(cloneForUser(s));
-	
-	return result;
-	
+        List<TaskDescriptor> result = new ArrayList<TaskDescriptor>();
+
+        for (String s : userNames)
+            result.add(cloneForUser(s));
+
+        return result;
+
     }
 
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-alert-task-core/src/main/java/org/nuxeo/ecm/alert/task/core/TaskRenderingContext.java
--- a/nuxeo-platform-alert-task-core/src/main/java/org/nuxeo/ecm/alert/task/core/TaskRenderingContext.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-alert-task-core/src/main/java/org/nuxeo/ecm/alert/task/core/TaskRenderingContext.java	Fri Mar 26 09:05:32 2010 +0100
@@ -14,27 +14,29 @@
 
     @Override
     public <T> T getAdapter(Class<T> adapter) {
-	if (adapter.isAssignableFrom(getClass())) {
-	    return adapter.cast(this);
-	} else if (adapter.isAssignableFrom(DocumentModel.class)) {
-	    return adapter.cast(getDocuments());
-	}
-	return null;
+        if (adapter.isAssignableFrom(getClass())) {
+            return adapter.cast(this);
+        } else if (adapter.isAssignableFrom(DocumentModel.class)) {
+            return adapter.cast(getDocuments());
+        }
+        return null;
     }
 
     public void setDocuments(List<DocumentModel> doc) {
-	put(CTX_PARAM_DOCUMENTS, doc);
+        put(CTX_PARAM_DOCUMENTS, doc);
     }
 
     @SuppressWarnings("unchecked")
     public List<DocumentModel> getDocuments() {
-	return (List<DocumentModel>) get(CTX_PARAM_DOCUMENTS);
+        return (List<DocumentModel>) get(CTX_PARAM_DOCUMENTS);
     }
-    
+
     @Override
     public boolean accept(RenderingEngine engine) {
-	if (engine.getFormatName().equals("taskAlert")) return true;
-	else return false;
+        if (engine.getFormatName().equals("taskAlert"))
+            return true;
+        else
+            return false;
     }
 
 }
\ No newline at end of file
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-alert-task-core/src/main/java/org/nuxeo/ecm/alert/task/core/WorkflowHelper.java
--- a/nuxeo-platform-alert-task-core/src/main/java/org/nuxeo/ecm/alert/task/core/WorkflowHelper.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-alert-task-core/src/main/java/org/nuxeo/ecm/alert/task/core/WorkflowHelper.java	Fri Mar 26 09:05:32 2010 +0100
@@ -99,7 +99,7 @@
         ArrayList<TaskDescriptor> result = new ArrayList<TaskDescriptor>();
 
         try {
-            
+
             JbpmService service = getJbpmService();
             JbpmContext ctxt = service.getConfiguration().createJbpmContext();
             Session s = ctxt.getSession();
@@ -119,12 +119,11 @@
             ctxt.close();
 
             return result;
-        }
-        catch(Exception e) {
+        } catch (Exception e) {
             log.error("Unable to retrieve jbpmService", e);
         }
 
-         return new ArrayList<TaskDescriptor>();
+        return new ArrayList<TaskDescriptor>();
 
     }
 
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-alert-test/src/main/java/org/nuxeo/ecm/alert/core/test/FireAlertEventRestlet.java
--- a/nuxeo-platform-alert-test/src/main/java/org/nuxeo/ecm/alert/core/test/FireAlertEventRestlet.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-alert-test/src/main/java/org/nuxeo/ecm/alert/core/test/FireAlertEventRestlet.java	Fri Mar 26 09:05:32 2010 +0100
@@ -17,77 +17,79 @@
 @Scope(EVENT)
 public class FireAlertEventRestlet extends BaseNuxeoRestlet {
 
-	private final String ERROR_TEMPLATE = "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\" > "
-			+ "<html xmlns=\"http://www.w3.org/1999/xhtml\">"
-			+ "<head><title>Error</title></head>"
-			+ "<body>%%TEXT%%</body></html>";
+    private final String ERROR_TEMPLATE = "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\" > "
+            + "<html xmlns=\"http://www.w3.org/1999/xhtml\">"
+            + "<head><title>Error</title></head>"
+            + "<body>%%TEXT%%</body></html>";
 
-	@Override
-	public void handle(Request req, Response res) {
+    @Override
+    public void handle(Request req, Response res) {
 
-		boolean byMail = false;
-		boolean purge = false;
+        boolean byMail = false;
+        boolean purge = false;
 
-		try {
-			String mail = getHttpRequest(req).getParameter("mail");
-			if (mail!=null) byMail = Boolean.parseBoolean(mail);
-		} catch (Exception e) {
-		}
+        try {
+            String mail = getHttpRequest(req).getParameter("mail");
+            if (mail != null)
+                byMail = Boolean.parseBoolean(mail);
+        } catch (Exception e) {
+        }
 
-		try {
-			String spurge = getHttpRequest(req).getParameter("purge");
-			if (spurge!=null) purge = Boolean.parseBoolean(spurge);
-		} catch (Exception e) {
-		}
-		
-		String html = processAlerts(byMail, purge);
+        try {
+            String spurge = getHttpRequest(req).getParameter("purge");
+            if (spurge != null)
+                purge = Boolean.parseBoolean(spurge);
+        } catch (Exception e) {
+        }
 
-		res.setEntity(html, MediaType.TEXT_HTML);
+        String html = processAlerts(byMail, purge);
 
-	}
+        res.setEntity(html, MediaType.TEXT_HTML);
 
-	private String processAlerts(boolean bymail, boolean purge) {
+    }
 
-		EmailHelperMock testHelper = new EmailHelperMock();
-		EmailHelper initialHelper = null;
-		AlertManagementService alertService = null;
+    private String processAlerts(boolean bymail, boolean purge) {
 
-		try {
+        EmailHelperMock testHelper = new EmailHelperMock();
+        EmailHelper initialHelper = null;
+        AlertManagementService alertService = null;
 
-			alertService = Framework.getService(AlertManagementService.class);
+        try {
 
-			if (alertService != null) {
-				if (!bymail)
-					initialHelper = alertService.setEmailHelper(testHelper);
-				AlertContext ctxt = new AlertContext();
-				ctxt.setNoPurge(!purge);
-				alertService.processAlerts(ctxt);
-				String result = testHelper.getLastBody();
-				alertService.setEmailHelper(initialHelper);
-				if (result == null || result.length() == 0)
-					result = buildHtmlMessage("Aucune alerte");
-				return result;
-			} else {
-				return buildHtmlMessage("Unable to retrieve AlertManagementService");
-			}
+            alertService = Framework.getService(AlertManagementService.class);
 
-		} catch (Exception e) {
+            if (alertService != null) {
+                if (!bymail)
+                    initialHelper = alertService.setEmailHelper(testHelper);
+                AlertContext ctxt = new AlertContext();
+                ctxt.setNoPurge(!purge);
+                alertService.processAlerts(ctxt);
+                String result = testHelper.getLastBody();
+                alertService.setEmailHelper(initialHelper);
+                if (result == null || result.length() == 0)
+                    result = buildHtmlMessage("Aucune alerte");
+                return result;
+            } else {
+                return buildHtmlMessage("Unable to retrieve AlertManagementService");
+            }
 
-			if (initialHelper != null) {
-				if (!bymail)
-					alertService.setEmailHelper(initialHelper);
-			}
+        } catch (Exception e) {
 
-			StringBuilder bdr = new StringBuilder();
-			bdr.append("<b>" + e.getMessage() + "</b><br/>");
-			return buildHtmlMessage(bdr.toString());
+            if (initialHelper != null) {
+                if (!bymail)
+                    alertService.setEmailHelper(initialHelper);
+            }
 
-		}
+            StringBuilder bdr = new StringBuilder();
+            bdr.append("<b>" + e.getMessage() + "</b><br/>");
+            return buildHtmlMessage(bdr.toString());
 
-	}
+        }
 
-	private String buildHtmlMessage(String text) {
-		return ERROR_TEMPLATE.replace("%%TEXT%%", text.replace("\n", "<br/>"));
-	}
+    }
+
+    private String buildHtmlMessage(String text) {
+        return ERROR_TEMPLATE.replace("%%TEXT%%", text.replace("\n", "<br/>"));
+    }
 
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-alert-test/src/main/java/org/nuxeo/ecm/alert/core/test/ScheduleAlertEventRestlet.java
--- a/nuxeo-platform-alert-test/src/main/java/org/nuxeo/ecm/alert/core/test/ScheduleAlertEventRestlet.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-alert-test/src/main/java/org/nuxeo/ecm/alert/core/test/ScheduleAlertEventRestlet.java	Fri Mar 26 09:05:32 2010 +0100
@@ -17,22 +17,22 @@
 @Scope(EVENT)
 public class ScheduleAlertEventRestlet extends BaseNuxeoRestlet {
 
-	@Override
-	public void handle(Request req, Response res) {
+    @Override
+    public void handle(Request req, Response res) {
 
-		String eventId = AlertEvent.MAIN_ALERT_EVENT;
-		
-		if (getHttpRequest(req).getParameter("event") != null) {
-			eventId = getHttpRequest(req).getParameter("event");
-		}
-		
-		try {
-			Framework.getService(EventService.class).fireEvent(eventId, new EventContextImpl());
-		} catch (Exception e) {
-			req.setEntity(e.getMessage(), MediaType.TEXT_PLAIN);
-		}
-		
-	}
+        String eventId = AlertEvent.MAIN_ALERT_EVENT;
 
+        if (getHttpRequest(req).getParameter("event") != null) {
+            eventId = getHttpRequest(req).getParameter("event");
+        }
+
+        try {
+            Framework.getService(EventService.class).fireEvent(eventId,
+                    new EventContextImpl());
+        } catch (Exception e) {
+            req.setEntity(e.getMessage(), MediaType.TEXT_PLAIN);
+        }
+
+    }
 
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-deferredalert-api/src/main/java/org/nuxeo/ecm/deferredalert/DeferredAlertManagementService.java
--- a/nuxeo-platform-deferredalert-api/src/main/java/org/nuxeo/ecm/deferredalert/DeferredAlertManagementService.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-deferredalert-api/src/main/java/org/nuxeo/ecm/deferredalert/DeferredAlertManagementService.java	Fri Mar 26 09:05:32 2010 +0100
@@ -32,10 +32,12 @@
  */
 public interface DeferredAlertManagementService extends Serializable {
 
-	public void storeAlerts(String userName, List<String> alerts) throws ClientException;
+    public void storeAlerts(String userName, List<String> alerts)
+            throws ClientException;
 
-	public void resetAlerts(String userName) throws ClientException;
+    public void resetAlerts(String userName) throws ClientException;
 
-	public List<String> getPendingAlerts(String userName) throws ClientException;
+    public List<String> getPendingAlerts(String userName)
+            throws ClientException;
 
 }
